#ifndef __INCLUDE__ICSimStruct_h__
#define __INCLUDE__ICSimStruct_h__

#include "mex.h"

typedef struct SimStructTag
        { 
            void *p;
			mxArray *mx;
			int CntrlnOut,CntrlnIn;
            double timeT,startT,finalT,sampTime;
			double *x;
        } SimStruct;
mxArray *ssGetSFcnParam(SimStruct *Si,int f);
void *ssGetPWorkValue(SimStruct *Si,int f);
void ssSetPWorkValue(SimStruct *Si,int f,void *st);
double ssGetT(SimStruct *Si);
void ssSetErrorStatus(SimStruct *Si,char *msg);
double ssGetTFinal(SimStruct *Si);
double ssGetTStart(SimStruct *Si);

#endif